'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  display: block;\n  margin: 1em auto;\n  width: 100%;\n  height: 6em;\n\n  circle {\n    stroke: #818a91;\n    fill: none;\n    stroke-width: 20;\n    transform: translate(100px, 100px) rotate(-89.9deg);\n    transition: stroke-dashoffset 0.3s linear;\n  }\n\n  text {\n    fill: #818a91;\n    font-size: 50px;\n    font-weight: 600;\n    text-anchor: middle;\n  }\n'], ['\n  display: block;\n  margin: 1em auto;\n  width: 100%;\n  height: 6em;\n\n  circle {\n    stroke: #818a91;\n    fill: none;\n    stroke-width: 20;\n    transform: translate(100px, 100px) rotate(-89.9deg);\n    transition: stroke-dashoffset 0.3s linear;\n  }\n\n  text {\n    fill: #818a91;\n    font-size: 50px;\n    font-weight: 600;\n    text-anchor: middle;\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Svg = _styledComponents2.default.svg(_templateObject);

var radius = 90;
var p = 2 * radius * Math.PI;

function ProgressArc(_ref) {
  var value = _ref.value,
      max = _ref.max,
      className = _ref.className,
      unit = _ref.unit;

  return _react2.default.createElement(
    Svg,
    {
      className: className,
      viewBox: '0 0 200 200' },
    _react2.default.createElement('circle', {
      r: radius,
      strokeDashoffset: (max - value) / max * p,
      strokeDasharray: p
    }),
    _react2.default.createElement(
      'text',
      { x: '100', y: '115' },
      value,
      unit
    )
  );
}

ProgressArc.propTypes = {
  value: _react.PropTypes.number.isRequired,
  max: _react.PropTypes.number,
  unit: _react.PropTypes.string
};

ProgressArc.defaultProps = {
  value: 0,
  max: 100,
  unit: '%'
};

exports.default = ProgressArc;